Skip to content

Validate Driver's Licence

Request

Method: POST

URL: https://{{environment}}.ridx.io/dvs/v1/driverLicence

Headers

Header Value
token {{access_token}}
Content-Type application/json

Mandatory card number field for Australian Driver's Licences

The below table provides information about the states that have mandated card number field against mentioned dates.

States Date
NSW, ACT, SA, WA, TAS and NT 1st Sept 2022
QLD 7th Nov 2022
VIC 19th Dec 2022

Licence and Card Number Format

The below table provides information about the licence number format and length against jurisdictions:

Jurisdiction Format Length
ACT Numeric Up to 10
NT Numeric Up to 10
QLD Numeric 8 to 9
NSW Alphanumeric 6 to 8
SA Alphanumeric 6
TAS Alphanumeric 6 to 8
VIC Numeric Up to 10
WA Numeric 7

The below table provides information about the card number format and length against jurisdictions:

Jurisdiction Format Length
ACT Alphanumeric 10
NT Numeric 6 to 8
QLD Alphanumeric 10
NSW Numeric 10
SA Alphanumeric 9
TAS Alphanumeric 9
VIC Alphanumeric 8
WA Alphanumeric 8 to 10

Request Body

Property Type Description
BirthDate String Birth date of citizen, format: YYYY-MM-DD OR YYYY-MM OR YYYY
GivenName String First name of citizen, max 20 characters
MiddleName String Optional. Middle name of citizen, max 20 characters
FamilyName String Last name of citizen, max 40 characters
LicenceNumber String Driver's licence number
CardNumber String Driver's Licence card number. This field is now mandatory for all states
StateOfIssue String State the license was issued in, must be one of: NSW, QLD, SA, TAS, VIC, WA, ACT, NT

Important Response Data

Property Type Description
VerifyDocumentResult Object The object containing the reply
VerificationResultCode String A value of Y (Yes), N (No), D (Document Error), S (Server Error)
VerificationRequestNumber String A receipt number of the request created by RapidID
OriginatingAgencyCode String A code representing the customers unique identifier code
ActivityId String A activity process id
attributes Object An object containing the description on the response
i:type String A description on the request response
Errors Object This object is returned only when VerificationResultCode value is N (No).This object provides greater insight into why the request did not match the data held by the issuer
Error Object This object contains fields such as Field, Message and Source with a description on the error response

Example Requests

{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "94977000",
  "CardNumber": "99999999",
  "StateOfIssue": "VIC"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "11111111",
  "CardNumber": "99999999",
  "StateOfIssue": "VIC"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "22222222",
  "StateOfIssue": "NSW",
  "CardNumber": "7777777777"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "99999999",
  "StateOfIssue": "NSW",
  "CardNumber": "8888888888"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "94977000",
  "CardNumber": "1111111111",
  "StateOfIssue": "NSWWWW"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "LicenceNumber": "99889988",
  "CardNumber": "99999999",
  "StateOfIssue": "VIC"
}

Example Responses

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "DriverLicenceResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "Y"
  },
  "fieldDetails": {
    "GivenName": "Full Match",
    "MiddleName": "Full Match",
    "FamilyName": "Full Match",
    "LicenceNumber": "Full Match",
    "CardNumber": "Full Match",
    "BirthDate": "Full Match",
    "BirthDay": "Full Match",
    "BirthMonth": "Full Match",
    "BirthYear": "Full Match",
    "StateOfIssue": "Full Match",
    "CountryOfIssue": "Full Match",
    "ImmiCardNumber": "Full Match",
    "CardType": "Full Match",
    "ExpiryDay": "Full Match",
    "RegistrationState": "Full Match"
  },
  "rapidID": "check_id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "DriverLicenceResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "N"
  },
  "fieldDetails": {
    "GivenName": "No Match",
    "MiddleName": "No Match",
    "FamilyName": "No Match",
    "LicenceNumber": "No Match",
    "CardNumber": "No Match",
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "StateOfIssue": "No Match",
    "CountryOfIssue": "No Match",
    "ImmiCardNumber": "No Match",
    "CardType": "No Match",
    "ExpiryDay": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check-id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "DriverLicenceResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "D"
  },
  "fieldDetails": {
    "GivenName": "No Match",
    "MiddleName": "No Match",
    "FamilyName": "No Match",
    "LicenceNumber": "No Match",
    "CardNumber": "No Match",
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "StateOfIssue": "No Match",
    "CountryOfIssue": "No Match",
    "ImmiCardNumber": "No Match",
    "CardType": "No Match",
    "ExpiryDay": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check_id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "DriverLicenceResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "S"
  },
  "fieldDetails": {
    "GivenName": "No Match",
    "MiddleName": "No Match",
    "FamilyName": "No Match",
    "LicenceNumber": "No Match",
    "CardNumber": "No Match",
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "StateOfIssue": "No Match",
    "CountryOfIssue": "No Match",
    "ImmiCardNumber": "No Match",
    "CardType": "No Match",
    "ExpiryDay": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check-id"
}

Status: 400 Bad Request

{
  "result": {
    "statuscode": "400",
    "error": "State of Issue is invalid"
  }
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "DriverLicenceResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "N",
    "Errors": {
      "Error": {
        "Field": "LicenceNumber",
        "Message": "Licence number does not match.",
        "Source": "Issuer"
      }
    }
  },
  "fieldDetails": {
    "GivenName": "No Match",
    "MiddleName": "No Match",
    "FamilyName": "No Match",
    "LicenceNumber": "No Match",
    "CardNumber": "No Match",
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "StateOfIssue": "No Match",
    "CountryOfIssue": "No Match",
    "ImmiCardNumber": "No Match",
    "CardType": "No Match",
    "ExpiryDay": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check-id"
}